## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.8.0
%bcond_without check

# https://github.com/GoogleCloudPlatform/osconfig
%global goipath         github.com/GoogleCloudPlatform/osconfig
Version:                20230208.00
%global tag             %{version}

%gometa -f

%global common_description %{expand:
Google OS Config Agent}

Name:           google-osconfig-agent
Release:        %autorelease
Summary:        Google OS Config Agent

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

# Remove references to Google's ContainerOS since we're building this for
# Fedora.
Patch0:         google-osconfig-agent-remove-containeros.patch

BuildRequires:  systemd
BuildRequires:  systemd-rpm-macros

# Google Cloud only offers Arm and x86 instances.
ExcludeArch:    ppc64le s390x

%description %{common_description}

%gopkg

%prep
%goprep
%patch0 -p1

# Examples directory isn't needed.
rm -rf examples

# e2e_tests require connectivity to Google's APIs and extra packages.
rm -rf e2e_tests

%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/google_osconfig_agent %{goipath}

%install
%gopkginstall
install -m0755 -vd                      %{buildroot}%{_bindir}
install -m0755 -vp %{gobuilddir}/bin/*  %{buildroot}%{_bindir}/

install -m0644 -Dp %{name}.service      %{buildroot}%{_unitdir}/%{name}.service

%if %{with check}
%check
%gocheck -d agentendpoint -d config -d ospatch -d packages
%endif

%files
%license LICENSE
%doc CONTRIBUTING.md README.md
%{_bindir}/google_osconfig_agent
%{_unitdir}/%{name}.service

%gopkgfiles

%post
%systemd_post %{name}
 
%preun
%systemd_preun %{name}
 
%postun
%systemd_postun_with_restart %{name}

%changelog
* Fri Feb 10 2023 Major Hayden <major@redhat.com> - 20230208.00-2
- Exclude some additional tests

* Fri Feb 10 2023 Major Hayden <major@redhat.com> - 20230208.00-1
- Update to 20230208.00 rhbz#2163679

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20221214.00-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jan 05 2023 Major Hayden <major@redhat.com> - 20221214.00-2
- Skip the agentendpoint test

* Thu Jan 05 2023 Major Hayden <major@redhat.com> - 20221214.00-1
- Update to 20221214.00 rhbz#2153633

* Tue Oct 18 2022 Major Hayden <major@redhat.com> - 20221013.01-1
- Update to 20221013.01 rhbz#2135016

* Tue Aug 30 2022 Major Hayden <major@redhat.com> - 20220829.00-1
- Update to 20220829.00 rhbz#2122530

* Thu Aug 25 2022 Major Hayden <major@redhat.com> - 20220824.00-2
- Remove commented preset lines

* Thu Aug 25 2022 Major Hayden <major@redhat.com> - 20220824.00-1
- Update to 20220824.00 rhbz#2121287

* Tue Aug 23 2022 Major Hayden <major@redhat.com> - 20220801.00-1
- Initial import rhbz#2120396
